/*******************************************************
 *  _____                                              *
 * |  ___|  __    __   _  __  _   __   __   ____       *
 * | |___  |  \  /  | | ||  || | \  \/  /  |__  \      *
 * |___  | |   \/   | | \/  \/ |  \    /      | |      *
 *  ___| | | /\  /\ | |   /\   |  /    \    _/ /_      *
 * |_____| |_||__||_| |__/  \__| /__/\__\  |_____|     *
 *                                                     *
 *******************************************************
 *     (c) Gaming Brasil - 2004                        *
 *     Made by Alexandre Martins (@leX)                *
 *     http://www.gamingbrasil.net                     *
 *******************************************************/
 
#ifndef _STRINGUTILS_H_
#define _STRINGUTILS_H_

#include <string>
#include <vector>
using namespace std;

class StringUtils{
public:

	static int Split(const string& input, const string& delimiter, vector<string>& results);
	static string Trim(string& sText);
	static string Chr(char ch);
	static string int2str(int x, bool hex = false);
	static string float2str(float x);
	static string Left(const string& str, int x);
	static string Mid(const string& str, int x, int y);
	static string Right(const string& str, int x);

};

#endif
