/*******************************************************
 *  _____                                              *
 * |  ___|  __    __   _  __  _   __   __   ____       *
 * | |___  |  \  /  | | ||  || | \  \/  /  |__  \      *
 * |___  | |   \/   | | \/  \/ |  \    /      | |      *
 *  ___| | | /\  /\ | |   /\   |  /    \    _/ /_      *
 * |_____| |_||__||_| |__/  \__| /__/\__\  |_____|     *
 *                                                     *
 *******************************************************
 *     (c) Gaming Brasil - 2004                        *
 *     Made by Alexandre Martins (@leX)                *
 *     http://www.gamingbrasil.net                     *
 *******************************************************/
 
 #ifndef _TIMERS_H
 #define _TIMERS_H
 
 #include <allegro.h>
 #include <time.h>
 
 // Timer
 class Timer{
 public:
	 static volatile int		speedcounter;
	 static volatile int		iFpsCounter;
	 static volatile int		iFps;
	 
	 static void				setup();
	 static inline int			get(){ return int(clock()/(CLOCKS_PER_SEC/1000)); }
	 static inline void			increment_speedcounter(){ speedcounter++; }END_OF_FUNCTION(increment_speedcounter);
	 static inline void			fix_speedcounter(){ speedcounter=0; }
	 static inline void			fpsCounter_go(){ iFps = iFpsCounter; iFpsCounter = 0; }END_OF_FUNCTION(fpsCounter_go);
 };
 
 #endif
